Page MenuHomePhabricator

Refactor bannerController API as required for banner history
Closed, ResolvedPublic4 Estimate Story Points

Description

This is task 4 on the Banner History technical roadmap.

Details

Related Gerrit Patches:
mediawiki/extensions/CentralNotice : campaign_mixinsRefactor client-side API and RL modules for banner display
mediawiki/extensions/CentralNotice : campaign_mixinsRefactor BannerChoiceData => ChoiceData

Event Timeline

AndyRussG claimed this task.
AndyRussG raised the priority of this task from to Needs Triage.
AndyRussG updated the task description. (Show Details)
AndyRussG added a subscriber: AndyRussG.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 28 2015, 6:27 PM
AndyRussG updated the task description. (Show Details)May 28 2015, 6:29 PM
AndyRussG set Security to None.
AndyRussG added a subscriber: atgo.
AndyRussG edited a custom field.May 29 2015, 3:36 PM
atgo triaged this task as High priority.Jun 17 2015, 10:18 PM

Change 221141 had a related patch set uploaded (by AndyRussG):
Refactor BannerChoiceData => ChoiceData

https://gerrit.wikimedia.org/r/221141

Change 221141 merged by jenkins-bot:
Refactor BannerChoiceData => ChoiceData

https://gerrit.wikimedia.org/r/221141

Change 221759 had a related patch set uploaded (by AndyRussG):
WIP - Pls. Don't Merge - Refactor banner display, RL modules and API for banners

https://gerrit.wikimedia.org/r/221759

Change 221759 merged by jenkins-bot:
Refactor client-side API and RL modules for banner display

https://gerrit.wikimedia.org/r/221759

AndyRussG closed this task as Resolved.Sep 3 2015, 4:28 PM